import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Esta clase define a Spiderman. Spiderman intenta huir del Enemigo mientras come araas.
 */
public class Spiderman extends Animal
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int araasComidas;
   public Spiderman()
   {
       image1 = new GreenfootImage("spiderman_correcto.png");//muestra la imagen seleccionada para un personaje.
       image2 = new GreenfootImage("ataque_spider.png");//muestra otra imagen del mismo personaje.
       //setImage(image1);
       araasComidas = 0;//se utiliza para el contador de araas comidas.
    }
   public void act()
    {
       getWorld().showText(("Spiderman: ")+ araasComidas, 70, 40);//Muestra un marcador de las araas que se va comiendo Spiderman.  
        //cambioImagen ();//Alterna dos o mas imagenes.
       buscaAraa();//Este metodo permite que Spiderman coma araas cuando esta cerca de ellas.
       //alFinaldelMundo();//Hace que el personaje gire cuando este llega al fin del mundo.
       //move();//Permite que un personaje se pueda mover.
       //moverseComoLoco();//Causa que el personaje se mueva de forma aleatoria en todos los sentidos.
       ControldeTeclas ();//Nos permite controlar a los jugadores con las teclas que les asignamos.
    }
    /**
    * Este metodo alterna las imagenes para que parezca que Spiderman se mueve.
    */
   public void cambioImagen()
    {
        if (getImage() == image1 )
        {
            setImage(image2);
       }
       else
       {
           setImage(image1);
        }
    }
   /**
     * Este metodo busca araas y se las come.
     */
    public void buscaAraa()
    {
     if (canSee(Araa.class))
        {
            eat(Araa.class);//Permite comer araas al aproximarse a ellas.
            Greenfoot.playSound("slurp.wav");//Reproduce el sonido seleccionado cuando Spiderman se come una araa.
            //araasComidas = araasComidas +1;
            //getWorld().addObject (new Araa(), 300, 50);
            araasComidas++;// Muestra las araas que nos vamos comiendo en el marcador.
        }
     if (araasComidas==8)
     {
         getWorld().showText("HA GANADO SPIDERMAN",280,280);//Muestra el texto que queremos en las coordenadas seleccionadas.   
         Greenfoot.playSound("fanfare.wav");//Reproduce el sonido seleccionado cuando Spiderman gana.
         Greenfoot.stop();//Hace que el juego se pare al ganar Spiderman.
     }
    }
   /**
     * Este metodo hace que gire cuando pulsamos las teclas.
     */
    public void ControldeTeclas()
    {
     if (Greenfoot.isKeyDown("left"))
        {
          move (-5);
       }
     if (Greenfoot.isKeyDown("right"))
     {
        move (5);
     }
     if(Greenfoot.isKeyDown("up"))
     {
        if(getY()==getY())
           {
               setLocation(getX(),getY()-5);
          }
     }
     if(Greenfoot.isKeyDown("down"))
     {
           if(getY()==getY())
           {
               setLocation(getX(),getY()+5);
          }
     }
   }
   /**
     * Este metodo provoca que gire cuando llega al final del mundo.
     */
    public void alFinaldelMundo()
    {
        if (atWorldEdge()==true)
        {
            turn(15);
        }
    }
   /**
     * Este metodo hace que vaya girando aleatoriamente.
     */
    public void moverseComoLoco()
    {
       if (Greenfoot.getRandomNumber(100)<10)
        {
         turn(Greenfoot.getRandomNumber(60)-30);
        }
    }
}



